using System.Globalization;

namespace PARR.BLL.Helpers
{
    public static class EsppScheduleHelpers
    {
        /// <summary>
        /// Получить время создания наряда в формате ЕСПП
        /// </summary>
        /// <param name="date"></param>
        /// <returns></returns>
        public static string GetGenerationTime(DateTimeOffset date)
        {
            return date.ToString("HH:mm:ss", CultureInfo.InvariantCulture);
        }

        /// <summary>
        /// Получить следующее срабатывание в формате ЕСПП
        /// </summary>
        /// <param name="date"></param>
        /// <returns></returns>
        public static string GetNextRun(DateTimeOffset date)
        {
            return date.ToString("dd/MM/yy HH:mm:ss", CultureInfo.InvariantCulture);
        }
    }
}
